<?php include('casa/setup.casa.php');
include('inc_scripts.php');
$title = 'Registro de Ubicaciones';
echo "<title>".AppName.' - '.$title."</title>";
?>
<style>
th{background:#156E10;
color:white;
text-align:center;
text-transform:uppercase;}	
</style>
</head>
<body>
	<div class="wrapper">		
	<?php include('inc_menu.php');?>
		<div class="main-panel">
			<div class="content">
				
			<div class="page-inner">
					
					<div class="row">						
						<div class="col-md-12">
							<div class="card">
								<div class="card-header">
									<div class="d-flex align-items-center">
										<h3 class="card-title"><?php echo $title?></h3>																																									
									</div>
								</div>
								
								<div class="card-body">		
																									
									<div class="table-responsive">
										<div class="row" style='width:97%' align='left'>
											<div class="col-sm-3">
												<a href="<?php echo PATH_HOME.'ubicaciones-ins1/nuevo'?>" class="btn btn-primary" style='color:white'>
													Crear Nueva Ubicación</a>
											</div>																																					
										</div>	
										<table id="add-row" class="display table table-striped table-hover" >
											<thead>
												<tr>													
													<th>N&ordm;</th>
													<th>código</th>
													<th>ubicación</th>
													<th>color</th>
													<th>opciones</TH>
												</tr>
											</thead>											
											<tbody>
											<?php
											$sql = "SELECT * FROM inventarios_ubicaciones 
											WHERE ubica_estado ='1'
											ORDER BY ubica_nombre ASC;";	
											$db= new DB();
											$db->dbSQL($sql);
											$html='';
											$i=0;
											while($db->next()){						
											$i++;															
												$ubica_codigo = $db->dbField('ubica_codigo');		
												$ubica_nombre = $db->dbField('ubica_nombre');	
												$ubica_color = $db->dbField('ubica_color');		
													if($ubica_color=='') $ubica_color = 'white';

												$html.='<tr>';
													$html.='<td>'.$i.'</td>';
													$html.='<td>'.$ubica_codigo.'</td>';
													$html.='<td>'.$ubica_nombre.'</td>';														
													$html.='<td style="background:'.$ubica_color.'">'.$ubica_color.'</td>';														
													$html.="<td align='center'><a href='".PATH_HOME.'ubicaciones-upd1/'.$ubica_codigo."' class='btn btn-primary' style='color:white'>
													MODIFICAR</a><br>";
													$html.="<a href='".PATH_HOME."ubicaciones-del1/".$ubica_codigo."' class='btn btn-primary ml-auto' style='color:white'>
													BORRAR</a></td>";
												$html.='</tr>';											
												
											}//wend() 
											
											echo utf8_encode($html);
											?>													
											</tbody>
										</table>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		</div>
		
		
	</div>
</body>
</html>
<script>
$(document).ready(function() {			
	$('#add-row').DataTable({
		"pageLength": 25,
	});
});	
$('#cmbCiudades').change(function(){
    let codegen = $(this).val();
    if(codegen == '') codegen ='ver';
    self.location="<?php echo PATH_HOME.'eventos/' ?>"+codegen;
});
</script>